## WebKitDOMHTMLInputElement WebKitDOMHTMLInputElement |

## Functions

void | webkit_dom_html_input_element_select ()
gchar * | webkit_dom_html_input_element_get_accept ()
void | webkit_dom_html_input_element_set_accept ()
gchar * | webkit_dom_html_input_element_get_alt ()
void | webkit_dom_html_input_element_set_alt ()
gboolean | webkit_dom_html_input_element_get_autofocus ()
void | webkit_dom_html_input_element_set_autofocus ()
gboolean | webkit_dom_html_input_element_get_default_checked ()
gboolean | webkit_dom_html_input_element_get_checked ()
void | webkit_dom_html_input_element_set_checked ()
gboolean | webkit_dom_html_input_element_get_disabled ()
void | webkit_dom_html_input_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_input_element_get_form ()
WebKitDOMFileList * | webkit_dom_html_input_element_get_files ()
void | webkit_dom_html_input_element_set_files ()
gulong | webkit_dom_html_input_element_get_height ()
void | webkit_dom_html_input_element_set_height ()
gboolean | webkit_dom_html_input_element_get_indeterminate ()
void | webkit_dom_html_input_element_set_indeterminate ()
glong | webkit_dom_html_input_element_get_max_length ()
void | webkit_dom_html_input_element_set_max_length ()
gboolean | webkit_dom_html_input_element_get_multiple ()
void | webkit_dom_html_input_element_set_multiple ()
gchar * | webkit_dom_html_input_element_get_name ()
void | webkit_dom_html_input_element_set_name ()
void | webkit_dom_html_input_element_set_read_only ()
gulong | webkit_dom_html_input_element_get_size ()
void | webkit_dom_html_input_element_set_size ()
gchar * | webkit_dom_html_input_element_get_src ()
void | webkit_dom_html_input_element_set_src ()
gchar * | webkit_dom_html_input_element_get_input_type ()
void | webkit_dom_html_input_element_set_input_type ()
gchar * | webkit_dom_html_input_element_get_default_value ()
void | webkit_dom_html_input_element_set_default_value ()
gchar * | webkit_dom_html_input_element_get_value ()
void | webkit_dom_html_input_element_set_value ()
gulong | webkit_dom_html_input_element_get_width ()
void | webkit_dom_html_input_element_set_width ()
gboolean | webkit_dom_html_input_element_get_will_validate ()
gchar * | webkit_dom_html_input_element_get_align ()
void | webkit_dom_html_input_element_set_align ()
gchar * | webkit_dom_html_input_element_get_use_map ()
void | webkit_dom_html_input_element_set_use_map ()
gchar * | webkit_dom_html_input_element_get_capture_type ()
gboolean | webkit_dom_html_input_element_get_capture ()

## Properties

gchar * | accept | Read / Write
gchar * | align | Read / Write
gchar * | alt | Read / Write
gchar * | autocapitalize | Read / Write
gchar * | autocomplete | Read / Write
gboolean | autocorrect | Read / Write
gboolean | autofocus | Read / Write
gchar * | capture | Read / Write
gboolean | checked | Read / Write
gboolean | default-checked | Read / Write
gchar * | default-value | Read / Write
gchar * | dir-name | Read / Write
gboolean | disabled | Read / Write
WebKitDOMFileList * | files | Read
WebKitDOMHTMLFormElement * | form | Read
gchar * | form-action | Read / Write
gchar * | form-enctype | Read / Write
gchar * | form-method | Read / Write
gboolean | form-no-validate | Read / Write
gchar * | form-target | Read / Write
gulong | height | Read / Write
gboolean | incremental | Read / Write
gboolean | indeterminate | Read / Write
WebKitDOMNodeList * | labels | Read
WebKitDOMHTMLElement * | list | Read
gchar * | max | Read / Write
glong | max-length | Read / Write
gchar * | min | Read / Write
gboolean | multiple | Read / Write
gchar * | name | Read / Write
gchar * | pattern | Read / Write
gchar * | placeholder | Read / Write
gboolean | read-only | Read / Write
gboolean | required | Read / Write
gulong | size | Read / Write
gchar * | src | Read / Write
gchar * | step | Read / Write
gchar * | type | Read / Write
gchar * | use-map | Read / Write
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
gchar * | value | Read / Write
gdouble | value-as-number | Read / Write
gulong | width | Read / Write
gboolean | will-validate | Read

## Types and Values

| WebKitDOMHTMLInputElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLInputElement

## Implemented Interfaces

WebKitDOMHTMLInputElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_input_element_select ()

    void
    webkit_dom_html_input_element_select (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

### webkit_dom_html_input_element_get_accept ()

    gchar *
    webkit_dom_html_input_element_get_accept
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_accept ()

    void
    webkit_dom_html_input_element_set_accept
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_alt ()

    gchar *
    webkit_dom_html_input_element_get_alt (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_alt ()

    void
    webkit_dom_html_input_element_set_alt (WebKitDOMHTMLInputElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_autofocus ()

    gboolean
    webkit_dom_html_input_element_get_autofocus
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_autofocus ()

    void
    webkit_dom_html_input_element_set_autofocus
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_default_checked ()

    gboolean
    webkit_dom_html_input_element_get_default_checked
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_get_checked ()

    gboolean
    webkit_dom_html_input_element_get_checked
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_checked ()

    void
    webkit_dom_html_input_element_set_checked
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_disabled ()

    gboolean
    webkit_dom_html_input_element_get_disabled
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_disabled ()

    void
    webkit_dom_html_input_element_set_disabled
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_input_element_get_form
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_input_element_get_files ()

    WebKitDOMFileList *
    webkit_dom_html_input_element_get_files
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A WebKitDOMFileList.

[transfer full]

### webkit_dom_html_input_element_set_files ()

    void
    webkit_dom_html_input_element_set_files
                                   (WebKitDOMHTMLInputElement *self,
                                    WebKitDOMFileList *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A WebKitDOMFileList |

### webkit_dom_html_input_element_get_height ()

    gulong
    webkit_dom_html_input_element_get_height
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gulong

### webkit_dom_html_input_element_set_height ()

    void
    webkit_dom_html_input_element_set_height
                                   (WebKitDOMHTMLInputElement *self,
                                    gulong value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gulong |

### webkit_dom_html_input_element_get_indeterminate ()

    gboolean
    webkit_dom_html_input_element_get_indeterminate
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_indeterminate ()

    void
    webkit_dom_html_input_element_set_indeterminate
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_max_length ()

    glong
    webkit_dom_html_input_element_get_max_length
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A glong

### webkit_dom_html_input_element_set_max_length ()

    void
    webkit_dom_html_input_element_set_max_length
                                   (WebKitDOMHTMLInputElement *self,
                                    glong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A glong |
error | GError |

### webkit_dom_html_input_element_get_multiple ()

    gboolean
    webkit_dom_html_input_element_get_multiple
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_multiple ()

    void
    webkit_dom_html_input_element_set_multiple
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_name ()

    gchar *
    webkit_dom_html_input_element_get_name
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_name ()

    void
    webkit_dom_html_input_element_set_name
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_set_read_only ()

    void
    webkit_dom_html_input_element_set_read_only
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_size ()

    gulong
    webkit_dom_html_input_element_get_size
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gulong

### webkit_dom_html_input_element_set_size ()

    void
    webkit_dom_html_input_element_set_size
                                   (WebKitDOMHTMLInputElement *self,
                                    gulong value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gulong |
error | GError |

### webkit_dom_html_input_element_get_src ()

    gchar *
    webkit_dom_html_input_element_get_src (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_src ()

    void
    webkit_dom_html_input_element_set_src (WebKitDOMHTMLInputElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_input_type ()

    gchar *
    webkit_dom_html_input_element_get_input_type
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_input_type ()

    void
    webkit_dom_html_input_element_set_input_type
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_default_value ()

    gchar *
    webkit_dom_html_input_element_get_default_value
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_default_value ()

    void
    webkit_dom_html_input_element_set_default_value
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_value ()

    gchar *
    webkit_dom_html_input_element_get_value
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_value ()

    void
    webkit_dom_html_input_element_set_value
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_width ()

    gulong
    webkit_dom_html_input_element_get_width
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gulong

### webkit_dom_html_input_element_set_width ()

    void
    webkit_dom_html_input_element_set_width
                                   (WebKitDOMHTMLInputElement *self,
                                    gulong value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gulong |

### webkit_dom_html_input_element_get_will_validate ()

    gboolean
    webkit_dom_html_input_element_get_will_validate
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_get_align ()

    gchar *
    webkit_dom_html_input_element_get_align
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_align ()

    void
    webkit_dom_html_input_element_set_align
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_use_map ()

    gchar *
    webkit_dom_html_input_element_get_use_map
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_use_map ()

    void
    webkit_dom_html_input_element_set_use_map
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_capture_type ()

    gchar *
    webkit_dom_html_input_element_get_capture_type
                                   (WebKitDOMHTMLInputElement *self);

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

Since: 2.14

### webkit_dom_html_input_element_get_capture ()

    gboolean
    webkit_dom_html_input_element_get_capture
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_capture` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMHTMLInputElement

    typedef struct _WebKitDOMHTMLInputElement WebKitDOMHTMLInputElement;

## Property Details

### The `“accept”` property

      “accept”                   gchar *

read-write gchar* HTMLInputElement:accept.

Flags: Read / Write

Default value: ""

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLInputElement:align.

Flags: Read / Write

Default value: ""

### The `“alt”` property

      “alt”                      gchar *

read-write gchar* HTMLInputElement:alt.

Flags: Read / Write

Default value: ""

### The `“autocapitalize”` property

      “autocapitalize”           gchar *

read-write gchar* HTMLInputElement:autocapitalize.

Flags: Read / Write

Default value: ""

### The `“autocomplete”` property

      “autocomplete”             gchar *

read-write gchar* HTMLInputElement:autocomplete.

Flags: Read / Write

Default value: ""

### The `“autocorrect”` property

      “autocorrect”              gboolean

read-write gboolean HTMLInputElement:autocorrect.

Flags: Read / Write

Default value: FALSE

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLInputElement:autofocus.

Flags: Read / Write

Default value: FALSE

### The `“capture”` property

      “capture”                  gchar *

read-write gchar* HTMLInputElement:capture.

Flags: Read / Write

Default value: ""

### The `“checked”` property

      “checked”                  gboolean

read-write gboolean HTMLInputElement:checked.

Flags: Read / Write

Default value: FALSE

### The `“default-checked”` property

      “default-checked”          gboolean

read-write gboolean HTMLInputElement:default-checked.

Flags: Read / Write

Default value: FALSE

### The `“default-value”` property

      “default-value”            gchar *

read-write gchar* HTMLInputElement:default-value.

Flags: Read / Write

Default value: ""

### The `“dir-name”` property

      “dir-name”                 gchar *

read-write gchar* HTMLInputElement:dir-name.

Flags: Read / Write

Default value: ""

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLInputElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“files”` property

      “files”                    WebKitDOMFileList *

read-only WebKitDOMFileList* HTMLInputElement:files.

Flags: Read

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLInputElement:form.

Flags: Read

### The `“form-action”` property

      “form-action”              gchar *

read-write gchar* HTMLInputElement:form-action.

Flags: Read / Write

Default value: ""

### The `“form-enctype”` property

      “form-enctype”             gchar *

read-write gchar* HTMLInputElement:form-enctype.

Flags: Read / Write

Default value: ""

### The `“form-method”` property

      “form-method”              gchar *

read-write gchar* HTMLInputElement:form-method.

Flags: Read / Write

Default value: ""

### The `“form-no-validate”` property

      “form-no-validate”         gboolean

read-write gboolean HTMLInputElement:form-no-validate.

Flags: Read / Write

Default value: FALSE

### The `“form-target”` property

      “form-target”              gchar *

read-write gchar* HTMLInputElement:form-target.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   gulong

read-write gulong HTMLInputElement:height.

Flags: Read / Write

### The `“incremental”` property

      “incremental”              gboolean

read-write gboolean HTMLInputElement:incremental.

Flags: Read / Write

Default value: FALSE

### The `“indeterminate”` property

      “indeterminate”            gboolean

read-write gboolean HTMLInputElement:indeterminate.

Flags: Read / Write

Default value: FALSE

### The `“labels”` property

      “labels”                   WebKitDOMNodeList *

read-only WebKitDOMNodeList* HTMLInputElement:labels.

Flags: Read

### The `“list”` property

      “list”                     WebKitDOMHTMLElement *

read-only WebKitDOMHTMLElement* HTMLInputElement:list.

Flags: Read

### The `“max”` property

      “max”                      gchar *

read-write gchar* HTMLInputElement:max.

Flags: Read / Write

Default value: ""

### The `“max-length”` property

      “max-length”               glong

read-write glong HTMLInputElement:max-length.

Flags: Read / Write

Default value: 0

### The `“min”` property

      “min”                      gchar *

read-write gchar* HTMLInputElement:min.

Flags: Read / Write

Default value: ""

### The `“multiple”` property

      “multiple”                 gboolean

read-write gboolean HTMLInputElement:multiple.

Flags: Read / Write

Default value: FALSE

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLInputElement:name.

Flags: Read / Write

Default value: ""

### The `“pattern”` property

      “pattern”                  gchar *

read-write gchar* HTMLInputElement:pattern.

Flags: Read / Write

Default value: ""

### The `“placeholder”` property

      “placeholder”              gchar *

read-write gchar* HTMLInputElement:placeholder.

Flags: Read / Write

Default value: ""

### The `“read-only”` property

      “read-only”                gboolean

read-write gboolean HTMLInputElement:read-only.

Flags: Read / Write

Default value: FALSE

### The `“required”` property

      “required”                 gboolean

read-write gboolean HTMLInputElement:required.

Flags: Read / Write

Default value: FALSE

### The `“size”` property

      “size”                     gulong

read-write gulong HTMLInputElement:size.

Flags: Read / Write

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLInputElement:src.

Flags: Read / Write

Default value: ""

### The `“step”` property

      “step”                     gchar *

read-write gchar* HTMLInputElement:step.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLInputElement:type.

Flags: Read / Write

Default value: ""

### The `“use-map”` property

      “use-map”                  gchar *

read-write gchar* HTMLInputElement:use-map.

Flags: Read / Write

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLInputElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLInputElement:validity.

Flags: Read

### The `“value”` property

      “value”                    gchar *

read-write gchar* HTMLInputElement:value.

Flags: Read / Write

Default value: ""

### The `“value-as-number”` property

      “value-as-number”          gdouble

read-write gdouble HTMLInputElement:value-as-number.

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    gulong

read-write gulong HTMLInputElement:width.

Flags: Read / Write

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLInputElement:will-validate.

Flags: Read

Default value: FALSE